Other endpoints
sfp server API reference for Other endpoints: 8 endpoints.
POST
/sfp/api/callbacks/contextsRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/sfp/api/callbacks/contexts" \ -H "Content-Type: application/json" \ -d '{}'Empty
curl -X GET "https://example.com/sfp/api/callbacks/contexts/string"Empty
curl -X DELETE "https://example.com/sfp/api/callbacks/contexts/string"Empty
curl -X GET "https://example.com/sfp/api/validation/trigger-requests?repositoryIdentifier=string"Empty
curl -X POST "https://example.com/sfp/api/validation/trigger-requests/string/evaluate"Empty
POST
/sfp/api/deployment-steps/views/candidatesRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/sfp/api/deployment-steps/views/candidates" \ -H "Content-Type: application/json" \ -d '{ "repositoryIdentifier": "acme/salesforce-core" }'Empty
POST
/sfp/api/deployment-steps/views/previewRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/sfp/api/deployment-steps/views/preview" \ -H "Content-Type: application/json" \ -d '{ "repositoryIdentifier": "acme/salesforce-core" }'Empty
POST
/sfp/api/deployment-steps/views/runsRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/sfp/api/deployment-steps/views/runs" \ -H "Content-Type: application/json" \ -d '{ "repositoryIdentifier": "acme/salesforce-core" }'Empty